Bug 456308 - rhythmbox crashes when inserting USB key while he's playing [NEEDINFO]
rhythmbox crashes when inserting USB key while he's playing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 14:21 EDT by Dominique Fauqueux
Modified: 2009-07-14 11:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (dominique.fauqueux)


Attachments (Terms of Use)

  None (edit)
Description Dominique Fauqueux 2008-07-22 14:21:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

Description of problem:
If I insert my USB key when rhythmbox is playng several things occur :

GTK have some problems 
Distribution: Fedora release 9 (Sulphur)
Gnome Release: 2.22.3 2008-07-01 (Red Hat, Inc)
BugBuddy Version: 2.22.0

System: Linux 2.6.25.9-76.fc9.i686 #1 SMP Fri Jun 27 16:14:35 EDT 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10499905
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors (115 sec old) ---------------------
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:3638): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value "((GString*) 0x8e3fba0)" of type `GString'
--------------------------------------------------

then when I try to access to my uSB key by the shortcuts on the menus above the screen rhythmbox pop out the tray on full window and restart from the beginning the current music file.

more, rhythmbox try to index all the files on my USB key (mostly not music files) and finally crashes (freeze).

Version-Release number of selected component (if applicable):
rhythmbox-0.11.5-13.fc9.i386

How reproducible:
Always


Steps to Reproduce:
O.Launch rhythmbox
1.play a file (I play a file trough wifi on a distant computer)
2.iconify rhythmbox to tray
3.insert an USB key (mine is verbatim store ant go 4 Go fat32)
4.try to access to the USB key by the shortcut menu
5. enjoy ;-)

Actual Results:


Expected Results:


Additional info:
Comment 1 Bastien Nocera 2008-07-22 17:59:53 EDT
Please test with 0.11.6 that's in updates-testing.
Comment 2 Dominique Fauqueux 2008-07-29 15:15:50 EDT
I did it . This dosen't change anything.

In fact this bug seem concern Gnome. I try installing Audacious since this when
I try to access to my folders by the places menu, Gnome launch Audacious.

Notice : before gnome have this behaviour, I launch Rhythmbox by right clicking
on a folder in a distant (smb) disk. and choose open with... in the menu.
Comment 3 Bastien Nocera 2008-07-29 16:01:50 EDT
Could you please get a backtrace of the crash using the instructions at:
http://fedoraproject.org/wiki/StackTraces
Comment 4 Bug Zapper 2009-06-09 22:11:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:04:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.